# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           pyifp
Version:        0.2.2
Release:        alt1_12
Summary:        Python Bindings for libifp
Group:          Development/Other
License:        GPLv2
URL:            http://ifp-gnome.sourceforge.net/
Source0:        http://downloads.sourceforge.net/ifp-gnome/%{name}-%{version}.tar.gz
# From Gentoo:
Patch0:         pyifp-0.2.2-setup-fix.patch

BuildRequires:  libifp-devel
BuildRequires: libusb-compat-devel libusb-devel
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  swig
Source44: import.info


%description
The pyifp module is a wrapper around libifp designed to make it easy
to write python based programs to manage the iFP class of devices.
(A line of portable media players manufactured by iRiver.)


%prep
%setup -q
%patch0 -p1


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} -c 'import setuptools; execfile("setup.py")' build


%install
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc COPYING README.txt
%{python_sitelibdir}/*
%{_bindir}/backup-ifp
%{_bindir}/pyifp-test


%changelog
* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_12
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_10
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_9
- update to new release by fcimport

* Mon Sep 02 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_8
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_7
- update to new release by fcimport

* Wed Jan 09 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.2-alt1_6
- initial fc import

